<?php

if (!defined('SMF'))
	die('Hacking attempt...');

/*Admin Settings*/	
function BlogAdminSettings()
{
	global $context, $txt, $scripturl;
	
	$context['blog_version'] = '3.0';
	
	//Important!
	isAllowedTo('admin_forum');
	loadTemplate('BlogAdminSettings');
	if(loadLanguage('Adk-Blog') == false)
		loadLanguage('Adk-Blog','english');
	
	
	//SubActions
	$subActions = array(
		'newsfromsmfp' => 'NewsFromSmfpersonal',
		'settings' => 'BlogSettings',
		'savesettings' => 'BlogSaveSettings',
	);
	
	
	$context[$context['admin_menu_name']]['tab_data'] = array(
		'title' => $txt['blogs_manage_admin'],
		'description' => $txt['blog_first_d'] ,
		'tabs' => array(
			'newsfromsmfp' => array(
				'description' => '',
			),
			'settings' => array(
				'description' => $txt['blog_seconds_d'],
			),
		),
	);	
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['newsfromsmfp']();
	
}

function NewsFromSmfpersonal()
{
	global $context, $txt;
	
	//Load Your Version and Current Version (From SMfpersonal)
	$current_version = GetCurrentVersionBlog();
	$your_version = $context['blog_version'];
	
	$context['get_news'] = GetNewsBlogsFromSmfP();
	
	if($your_version == $current_version)
		$context['adkblog']['style_version'] = '<b style="color: green;">'.$current_version.'</b>';
	else
		$context['adkblog']['style_version'] = '<b style="color: red;">'.$current_version.'</b><br /><br /><div align="center"><a href="http://www.smfpersonal.net/downloads.html;cat=14" target="_blank"><strong>'.$txt['adk_download_now_blog'].'</strong></a></div>';
	
	
	//Important!
	$context['sub_template'] = 'news_smf';
	$context['page_title'] = $txt['blog_news_desde_smf'];

}

function BlogSettings()
{
	global $context, $smcFunc, $txt, $scripturl;
	
	checkSession('get');
	
	//Load MemberGroups
	$sql = $smcFunc['db_query']('','
		SELECT id_group, group_name 
		FROM {db_prefix}membergroups
		WHERE id_group != {int:p} AND min_posts = {int:po}',
		array(
			'p' => 3,
			'po' => -1,
		)
	);
	
	$context['blog']['load_membergroups'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
		$context['blog']['load_membergroups'][$row['id_group']] = $row['group_name'];
	
	$smcFunc['db_free_result']($sql);
	//END
	
	//Important
	$context['sub_template'] = 'blog_settings';
	$context['page_title'] = $txt['blog_settings'];
}

function BlogSaveSettings()
{
	global $txt, $context, $scripturl;
	
	checkSession('post');
	
	$blog_enable = !empty($_POST['blog_enable']) ? 1 : 0;
	$blog_allow_coments = !empty($_POST['blog_allow_coments']) ? 1 : 0;
	
	/*toview*/
	if(isset($_POST['toview']))
	{	
		$toview = array_keys($_POST['toview']);
		$toview = implode(',',$toview);
	}
	else
		$toview = '';
	
	
	/*totenerblog*/
	if(isset($_POST['totenerblog']))
	{	
		$totenerblog = array_keys($_POST['totenerblog']);
		$totenerblog = implode(',',$totenerblog);
	}
	else
		$totenerblog = '';
	
	/*tocomment*/
	if(isset($_POST['tocomment']))
	{	
		$tocomment = array_keys($_POST['tocomment']);
		$tocomment = implode(',',$tocomment);
	}
	else
		$tocomment = '';
	
	
	$blog_limit_perpage = (int)$_POST['blog_limit_perpage'];
	
	//$blog_enable_sendPM = (int)$_POST['blog_enable_sendPM'];
	$blog_enable_sendPM = !empty($_POST['blog_enable_sendPM']) ? 1 : 0;
	updateSettings(
		array(
			'blog_enable' => $blog_enable,
			'blog_allow_coments' => $blog_allow_coments,
			'blog_allowed_toview' => $toview,
			'blog_allowed_your_blog' => $totenerblog,
			'blog_allowed_groups_tocomment' => $tocomment,
			'blog_limit_perpage' => $blog_limit_perpage,
			'blog_enable_sendPM' => $blog_enable_sendPM
		),true
	);
	
	redirectexit('action=admin;area=blogadmin;sa=settings;'.$context['session_var'].'='.$context['session_id']);
}

?>