<?php

	
require_once("../../SSI.php");

function JSLikeMe()
{
	global $smcFunc, $user_info, $context;
	
	$id_member = !empty($_REQUEST['id_member']) ? (int)$_REQUEST['id_member'] : 0;
	$id_topic = !empty($_REQUEST['id_topic']) ? (int)$_REQUEST['id_topic'] : 0;
	$session = !empty($_REQUEST['sesc']) ? $smcFunc['htmlspecialchars']($_REQUEST['sesc']) : 0;
	
	if(empty($id_member) || empty($id_topic) || empty($session) || $context['session_id'] != $session)
		return;
	
	$sql = $smcFunc['db_query']('','
		SELECT like_it, id_member AS new_id_member FROM {db_prefix}blog_comments
		WHERE id_comment = {int:topic} AND is_started = {int:s}',
		array(
			'topic' => $id_topic,
			's' => 1,
		)
	);
	
	list($like_it, $new_id_member) = $smcFunc['db_fetch_row']($sql);
	
	$smcFunc['db_free_result']($sql);
	
	$explode_likeit = array();
	
	$can_load = true;
	
	if(!empty($like_it)){
		$explode_like_it = explode(',',$like_it);
		
		foreach($explode_like_it AS $i => $v){
			if($id_member == $v)
				$can_load = false;
		}
	}
	
	if($can_load){
		$explode_like_it[] = $id_member;
		
		$like_it = implode(',',$explode_like_it);
		
		$smcFunc['db_query']('','
			UPDATE {db_prefix}blog_comments 
			SET like_it = {string:like_it}
			WHERE id_comment = {int:topic} AND is_started = {int:s}',
			array(
				'topic' => $id_topic,
				's' => 1,
				'like_it' => $like_it
			)
		);
		
		if($new_id_member['id'] != $id_member){
			$the_array_info = array(
				'type' => 'int',
				'id_member_posted' => 'int',
				'id_member_received' => 'int',
				'id_topic' => 'int',
				'time' => 'int',
			);
			
			$the_array_insert = array(
				1,
				$user_info['id'],
				$new_id_member,
				$id_topic,
				time()
			);
			
			$smcFunc['db_insert']('insert',
				'{db_prefix}blog_not',
				//Load The Array Info
				$the_array_info,
				//Insert Now;)
				$the_array_insert,
				array('id_not')
			);
		}
	}
	else
		return;
}

JSLikeMe();

?>