<?php

	$direct_install = false;
	
	if(file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	{
		require_once(dirname(__FILE__) . '/SSI.php');
		$direct_install = true;
	}
	elseif (!defined('SMF'))
	die('Adk Blog wasn\'t able to conect to smf');
	
	global $scripturl, $boardurl, $db_prefix;
	
	db_extend('packages');
	
	if($direct_install)
		echo'
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
		<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<title>Adk Blog - Manual install</title>
			<link rel="stylesheet" type="text/css" href="'.$boardurl.'/Themes/default/css/index.css" />
		</head>
		<body>
		<br />
		<br />';
	
	
	

	
	updateSettings(array(
		'blog_enable' => 1,
		'blog_allow_coments' => 1,
		'blog_allowed_toview' => 1,
		'blog_allowed_your_blog' => 1,
		'blog_allowed_groups_tocomment' => 1,
		'blog_enablebbc_comment' => 0,
		'blog_limit_perpage' => 5,
	));
		
	$tables[] = array(
		'table_name' => '{db_prefix}blog_comments',
		'columns' => array(
			array(
				'name' => 'id_comment',
				'auto' => true,
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'id_initial',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => false,
			),
			array(
				'name' => 'body',
				'auto' => false,
				'type' => 'text',
				'null' => true,
				'unsigned' => true,
			),
			array(
				'name' => 'subject',
				'auto' => false,
				'type' => 'text',
				'null' => true,
				'unsigned' => true,
			),
			array(
				'name' => 'time',
				'auto' => false,
				'type' => 'int',
				'null' => true,
				'size' => 10,
				'unsigned' => true,
			),
			array(
				'name' => 'id_cat',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => false,
			),
			array(
				'name' => 'id_member',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => false,
			),
			array(
				'name' => 'is_started',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => false,
			),
			array(
				'name' => 'icon',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'like_it',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
		),
		'indexes' => array(
			array(
				'columns' => array('id_comment'),
				'type' => 'primary',
			),
		),
		'if_exists' => 'ignore',
		'error' => 'fatal',
		'parameters' => array(),
	);
	
	$tables[] = array(
		'table_name' => '{db_prefix}blog_categories',
		'columns' => array(
			array(
				'name' => 'id_cat',
				'auto' => true,
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'title',
				'auto' => false,
				'type' => 'text',
				'null' => false,
			),
			array(
				'name' => 'id_member',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => true,
				'unsigned' => true,
			),
			array(
				'name' => 'position',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => true,
				'unsigned' => true,
			),
		),
		'indexes' => array(
			array(
				'columns' => array('id_cat'),
				'type' => 'primary',
			),
		),
		'if_exists' => 'ignore',
		'error' => 'fatal',
		'parameters' => array(),
	);
	
	$tables[] = array(
		'table_name' => '{db_prefix}blog_not',
		'columns' => array(
			array(
				'name' => 'id_not',
				'auto' => true,
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'type',
				'auto' => false,
				'type' => 'int',
				'null' => false,
				'size' => 1,
			),
			array(
				'name' => 'id_member_posted',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => true,
				'unsigned' => true,
			),
			array(
				'name' => 'id_member_received',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => true,
				'unsigned' => true,
			),
			array(
				'name' => 'id_topic',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => true,
				'unsigned' => true,
			),
			array(
				'name' => 'time',
				'auto' => false,
				'type' => 'int',
				'null' => true,
				'size' => 10,
				'unsigned' => true,
			),
		),
		'indexes' => array(
			array(
				'columns' => array('id_not'),
				'type' => 'primary',
			),
		),
		'if_exists' => 'ignore',
		'error' => 'fatal',
		'parameters' => array(),
	);
	
	
	// Create new tables, if any
	foreach ($tables as $table)
		$smcFunc['db_create_table']($table['table_name'], $table['columns'], $table['indexes'], $table['parameters'], $table['if_exists'], $table['error']);
		
	//About_me
	$columns[] = array(
		'table_name' => '{db_prefix}members',
		'column_info' => array(
			'name' => 'blog_about_me',
			'type' => 'text',
			'default' => '',
			'auto' => false,
			'unsigned' => false,
		),
		'parameters' => array(),
		'if_exists' => 'ignore',
	);
	
	//Blog Count
	$columns[] = array(
		'table_name' => '{db_prefix}members',
		'column_info' => array(
			'name' => 'blog_count',
			'type' => 'int',
			'default' => 0,
			'auto' => false,
			'unsigned' => false,
			'size' => 20,
		),
		'parameters' => array(),
		'if_exists' => 'ignore',
	);
	
	
	foreach($columns AS $add)
		$smcFunc['db_add_column']($add['table_name'], $add['column_info'], $add['parameters'], $add['if_exists'], 'fatal');
	
	//Hooks Integration
	$hooks = array(
		'integrate_actions' => 'Adk_blog_add_index_actions',
		'integrate_admin_areas' => 'Adk_blog_add_admin_areas',
		'integrate_menu_buttons' => 'Adk_blog_add_menu_buttons',
		'integrate_pre_include' => '$sourcedir/Subs-adkblog.php',
		'integrate_profile_areas' => 'Adk_blog_add_profile_areas',
	);

	foreach($hooks AS $hook => $call)
		add_integration_function($hook,$call);
	
	$tables = array(
		$db_prefix.'blog_comments' => 'Create',
		$db_prefix.'blog_categories' => 'Create',
		$db_prefix.'members' => 'Alter Table',
		$db_prefix.'settings' => 'Insert',
	);
	
	if($direct_install)
	{
		echo'
		<div class="tborder">
		<table style="width: 100%;" cellspacing="0">
			<tr>
				<td colspan="2">
					<div class="catbg" style="padding: 5px; text-align: center;">
						<strong>Adk Portal database installer</strong>
					</div>
				</td>
			</tr>
			';
	
		foreach($tables AS $i => $v)
		
			echo'
			<tr class="windowbg2">
				<td style="width: 50%; padding: 3px; text-align: right;">
					Table: <strong>'.$i.'</strong>
				</td>
				<td style="width: 50%; padding: 3px; text-align: left;">
					<strong style="color: green;">'.$v.' Successful</strong>
				</td>
			</tr>
			
			';
		echo'	
			<tr class="windowbg2">
				<td colspan="2">
				<hr />
				</td>
			</tr>
			<tr class="windowbg2">
				<td colspan="2">
				<div style="text-align: center;" class="smalltext">
					<a href="http://www.smfpersonal.net" target="_blank">Adk Blog</a> by <a href="http://www.smfpersonal.net" target="_blank">Smf personal</a> &copy; 2010-2011
				</div>
				</td>
			</tr>
		</table>
		</div>
		<br />
		
		<br />
		</body>
		</html>';
	}
	
?>

